// Add colors in a Linux terminal (does not work with Windows)

#ifndef COLORS_IN_TERMINAL_H
#define COLORS_IN_TERMINAL_H

#include <string>

namespace MRF_F0 {

  // From .dir_colors :
  // Colors and font effects :
  // 01=bold, 04=underligned, 07=inversed
  // 30=black, 31=red, 32=green, 33=yellow, 34=blue, 35=mauve, 36=cyan, 37=white.
  // Syntax : "ESC[fonteffect;colorm"

  std::string Bold_prefix   = "[1;"; // don't use alone
  std::string Normal_prefix = "[0;";

  std::string TextNormal = Normal_prefix + "39m"; // back to standard text color

  std::string BoldBlack = Bold_prefix + "30m";     // black and bold
  std::string TextBlack = Normal_prefix + "30m";   // black, standard thickness

  std::string BoldRed = Bold_prefix + "31m";
  std::string TextRed = Normal_prefix + "31m";

  std::string BoldGreen = Bold_prefix + "32m";
  std::string TextGreen = Normal_prefix + "32m";

  std::string BoldYellow = Bold_prefix + "33m";
  std::string TextYellow = Normal_prefix + "33m";

  std::string BoldBlue = Bold_prefix + "34m";
  std::string TextBlue = Normal_prefix + "34m";

  std::string BoldMauve = Bold_prefix + "35m";
  std::string TextMauve = Normal_prefix + "35m";

  std::string BoldCyan = Bold_prefix + "36m";
  std::string TextCyan = Normal_prefix + "36m";

  std::string BoldWhite = Bold_prefix + "37m";
  std::string TextWhite = Normal_prefix + "37m";


} // end of namespace

#endif
